Skip to main content
GET
/
getmember_types
List Membership Types
curl --request GET \
  --url https://api.example.com/getmember_types
{
  "status": "success",
  "data": {
    "membership_type_with_logs": [
      {
        "id": 1,
        "name": "Annual Member",
        "category": "standard",
        "duration": "12",
        "description": "Standard annual membership",
        "autorecurring_payment": true,
        "reminder_frequency": "monthly",
        "membership_privacy": false,
        "startdate": "2025-01-01T00:00:00Z",
        "enddate": "2025-12-31T00:00:00Z",
        "membership_dues": [],
        "workflows": {},
        "notificationsettings": {}
      }
    ],
    "pagination": {
      "total": 3,
      "offset": 0,
      "limit": 50
    }
  }
}

Query Parameters

chapter_id
integer
required
Chapter ID.

Response

{
  "status": "success",
  "data": {
    "membership_type_with_logs": [
      {
        "id": 1,
        "name": "Annual Member",
        "category": "standard",
        "duration": "12",
        "description": "Standard annual membership",
        "autorecurring_payment": true,
        "reminder_frequency": "monthly",
        "membership_privacy": false,
        "startdate": "2025-01-01T00:00:00Z",
        "enddate": "2025-12-31T00:00:00Z",
        "membership_dues": [],
        "workflows": {},
        "notificationsettings": {}
      }
    ],
    "pagination": {
      "total": 3,
      "offset": 0,
      "limit": 50
    }
  }
}